Subject: Problems with wb on Solaris 2.5

From: D E PRICE <[email-masked]>
Date: Wed, 19 Mar 1997 19:08:48 +0000

Dear All,

	I am having problems with wb crashing every time
I tell it to be not receive-only. The machine in question,
an SS4, is running sol2.5 and has the lastest patches
from playground applied. I have also added the two lines
to /etc/system to tell it to allocate more shared memory
(or whatever) as suggested in the vic pages.

	If I run `wb' in an xterm with its display
on a remote 24 bit display, all works fine it seems,
however.... if I fire up wb onto the workstations
own (8 bit) screen then ...

  , it starts (receive-only) and as
soon as I untick the read-only box it dies....

`truss' shows the following to be happening....

ioctl(4, FIONREAD, 0xEFFFEE84)                  = 0
poll(0xEFFFCDC0, 2, 498)                        = 1
ioctl(4, FIONREAD, 0xEFFFEE84)                  = 0
read(4, "\b\005D8F4 8C7EF\0\0\0 )".., 128)      = 128
write(4, " ;03\00504\0\0 c\0\0\0\0".., 1280)    = 1280
ioctl(4, FIONREAD, 0xEFFFEE84)                  = 0
poll(0xEFFFCDC0, 2, 144)                        = 1
ioctl(4, FIONREAD, 0xEFFFEE84)                  = 0
read(4, "050106\rF4 8C882\0\0\0 )".., 32)       = 32
write(4, "12\0\01804\0\0 B\0\0\0 (".., 140)     = 140
read(4, "1C\0060E04\0\0 B\0\0\0 (".., 32)       = 32
read(4, "01  0610\0\0\00F\0\0\0 )".., 32)       = 32
read(4, "\0\00118\0\0\0\0\0\00106".., 60)       = 60
brk(0x00155F98)                                 = 0
brk(0x00156F98)                                 = 0
brk(0x00157F98)                                 = 0
writev(4, 0xEFFFE3F8, 2)                        = 2052
    Incurred fault #6, FLTBOUNDS  %pc = 0x0004AF3C
      siginfo: SIGSEGV SEGV_MAPERR addr=0x00000014
    Received signal #11, SIGSEGV [default]
      siginfo: SIGSEGV SEGV_MAPERR addr=0x00000014
        *** process killed ***
sprout.dcs.aber.ac.uk#

Running on another Ultra 1 Creator, I can happily run
wb. The ultra1 has the same os and patches etc....

Any suggestions / help will be very gratefully received.

Thanks,

Dave Price

	---------------------------------------------------------
	| David Price, Computer Science				|
	|							|
	|  Computer Science, University of Wales, Aberystwyth,	|
	|  Penglais Campus, Aberystwyth, Ceredigion, SY23 3DB	|
	|                                                       |
	| Email: [email-masked] WWW: http://www.aber.ac.uk/~dap |
	|  Phone: +44 1970 622428   FAX: +44 1970 622455	|
	---------------------------------------------------------